# $Revision: 1.14.2.1 $, $Date: 2007/02/13 21:10:45 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
#
%include	/usr/lib/rpm/macros.perl
Summary:	FuzzyOcr SpamAssassin plugin
Summary(pl):	Wtyczka FuzzyOcr dla SpamAssassina
Name:		spamassassin-plugin-fuzzyocr
Version:	3.5.1
Release:	1
License:	Apache Software License v2
Group:		Applications/Mail
Source0:	http://users.own-hero.net/~decoder/fuzzyocr/fuzzyocr-%{version}-devel.tar.gz
# Source0-md5:	14e04c4768f57a39a4953a837766f772
Patch0:		fuzzyocr-config.patch
URL:		http://fuzzyocr.own-hero.net/
BuildRequires:	sed >= 4.0
%if %{with autodeps}
BuildRequires:	perl-DBI
BuildRequires:	perl-DBI
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-MLDBM
BuildRequires:	perl-MLDBM-Sync
BuildRequires:	perl-Mail-SpamAssassin >= 3.1.4
BuildRequires:	perl-String-Approx
BuildRequires:	perl-Time-HiRes
%endif
Requires:	ImageMagick
Requires:	giflib-progs >= 4.1.4-4
Requires:	gifsicle
Requires:	gocr >= 0.43
Requires:	netpbm-progs >= 10.34
Requires:	ocrad >= 0.14
Requires:	perl-Compress-Zlib
Requires:	perl-DBD-mysql
Requires:	perl-Digest-MD5
Requires:	perl-MLDBM-Sync
Requires:	perl-Mail-SpamAssassin >= 3.1.4
Requires:	perl-String-Approx
Requires:	perl-Tie-Cache
Requires:	perl-Time-HiRes
Requires:	tesseract
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/mail/spamassassin

%description
FuzzyOcr is a plugin for SpamAssassin which is aimed at unsolicited
bulk mail (also known as "Spam") containing images as the main content
carrier. Using different methods, it analyzes the content and
properties of images to distinguish between normal mails (Ham) and
spam mails.

The methods mainly are:
- Optical Character Recognition using different engines and settings
- Fuzzy word matching algorithm applied to OCR results
- Image hashing system to learn unique properties of known spam images
- Dimension, size and integrity checking of images
- Content-Type verification for the containing email

%description -l pl
FuzzyOcr to wtyczka SpamAssassina majca wykrywa niezamwion poczt
masow (znan take jako "spam") zawierajc obrazki jako gwny
nonik treci. Przy uyciu rnych metod analizuje zawarto i
waciwoci obrazkw w celu rozrnienia midzy zwyk poczt ("ham")
a spamem.

Gwne metody to:
- optyczne rozpoznawanie znakw (OCR) przy uyciu rnych silnikw i
  ustawie
- algorytm przyblionego dopasowywania sw stosowany na wynikach OCR
- system haszowania obrazkw w celu uczenia si unikalnych waciwoci
  znanych obrazkw ze spamem
- sprawdzanie wymiarw, rozmiaru i integralnoci obrazkw
- weryfikacja Content-Type dla wiadomoci z obrazkami

%prep
%setup -q -n FuzzyOcr-%{version}
%patch0 -p1
%{__sed} -i -e '1s,#!.*perl,#!%{__perl},' Utils/fuzzy-*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorlib},%{_sysconfdir},%{_bindir}}
cp -a FuzzyOcr.words FuzzyOcr.cf FuzzyOcr.scansets FuzzyOcr.preps $RPM_BUILD_ROOT%{_sysconfdir}
cp -a FuzzyOcr FuzzyOcr.pm $RPM_BUILD_ROOT%{perl_vendorlib}
install Utils/fuzzy-* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FuzzyOcr.mysql samples
%attr(755,root,root) %{_bindir}/fuzzy-cleantmp
%attr(755,root,root) %{_bindir}/fuzzy-find
%attr(755,root,root) %{_bindir}/fuzzy-stats
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.preps
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.scansets
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/FuzzyOcr.words
%{perl_vendorlib}/FuzzyOcr.pm
%{perl_vendorlib}/FuzzyOcr

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spamassassin-plugin-fuzzyocr.spec,v $
Revision 1.14.2.1  2007/02/13 21:10:45  glen
- rel 1

Revision 1.14  2007/02/09 16:12:29  glen
- capitalize to avoid confusion with br language :)

Revision 1.13  2007/02/09 16:00:16  kosmo
- BR fixes

Revision 1.12  2007/01/14 23:13:25  qboosh
- pl

Revision 1.11  2007/01/12 11:18:14  glen
- autodeps bcond

Revision 1.10  2007/01/12 10:15:05  blues
- use auto-perl-deps

Revision 1.9  2007/01/12 08:32:09  blues
- perl-MLDBM-Sync required for database synchronization

Revision 1.8  2007/01/12 08:27:56  blues
- perl-DBI required by fuzzy-find

Revision 1.7  2007/01/12 08:17:01  blues
- fuzzy-stats requires perl-MLDBM

Revision 1.6  2007/01/09 15:26:47  glen
- unify license

Revision 1.5  2007/01/09 15:26:18  glen
- needs tesseract

Revision 1.4  2007/01/09 15:17:25  glen
- require netpbm with pamthreshold

Revision 1.3  2007/01/09 14:58:16  glen
- update to 3.5.1

Revision 1.2  2007/01/09 14:33:22  glen
- fix plugin load path

Revision 1.1  2007/01/09 14:00:32  glen
- new
